Get the recording transcription for a message by passing the message id
GET https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription
Authorization
Path parameters
Responses
200 - Gives the attached recording transcription to the message
mediaChannel (number, required): Media channel describes the user interaction channel Example: 1
sentenceIndex (number, required): Index of the sentence in the transcription Example: 1
startTime (number, required): Start time of the sentence in milliseconds Example: 34
endTime (number, required): End time of the sentence in milliseconds Example: 45
transcript (string, required): Transcript of the sentence Example: This call may be recorded for quality assurance purposes.
confidence (number, required): Confidence of the transcription Example: 0.5
{
"mediaChannel": "1",
"sentenceIndex": "1",
"startTime": "34",
"endTime": "45",
"transcript": "This call may be recorded for quality assurance purposes.",
"confidence": "0.5"
}
400 - Bad Request
401 - Unauthorized
Example
curl -X GET 'https://services.leadconnectorhq.com/conversations/locations/YOUR_locationId/messages/YOUR_messageId/transcription' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/conversations/locations/YOUR_locationId/messages/YOUR_messageId/transcription', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/conversations/locations/YOUR_locationId/messages/YOUR_messageId/transcription',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversations/locations/YOUR_locationId/messages/YOUR_messageId/transcription');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);